View Issue Details

IDProjectCategoryView StatusLast Update
0003292unrealinstallingpublic2007-06-14 11:56
ReporterstskeepsAssigned Tostskeeps 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformi3386OSNexenta (OpenSolaris)OS Versionalpha6-5.11-62
Product Version3.3-alpha0 
Target VersionFixed in Version3.3-alpha0 
Summary0003292: Failure to link IRCd (-lintl)
Descriptiongcc -I../include -I/export/home/stskeeps/projects/unreal/extras/regexp/include -I/export/home/stskeeps/projects/unreal/extras/c-ares/include -L../extras/c-ares/lib -pipe -g -O2 -funsigned-char -fno-strict-aliasing -Wno-pointer-sign -export-dynamic -D_SOLARIS -lssl -lcrypto -o ircd timesynch.o res.o s_bsd.o auth.o aln.o channel.o cloak.o crule.o dbuf.o events.o fdlist.o hash.o help.o ircd.o ircsprintf.o list.o match.o modules.o packet.o parse.o s_auth.o s_conf.o s_debug.o s_err.o s_extra.o s_kline.o s_misc.o s_numeric.o s_serv.o s_svs.o socket.o ssl.o s_user.o charsys.o scache.o send.o support.o umodes.o version.o whowas.o zip.o cidr.o random.o extcmodes.o extbans.o md5.o api-isupport.o api-command.o -lcrypt -lsocket -lnsl -lresolv -L../extras/regexp/lib -ltre -lcares -lssl -lcrypto
../extras/regexp/lib/libtre.a(regerror.o): In function `regerror':/export/home/stskeeps/projects/unreal/extras/tre-0.7.2/lib/regerror.c:66: undefined reference to `libintl_gettext'
:/export/home/stskeeps/projects/unreal/extras/tre-0.7.2/lib/regerror.c:68: undefined reference to `libintl_gettext'
Steps To Reproducestskeeps@bsd:~/projects/unreal/extras/tre-0.7.2/lib$ make
make all-am
make[1]: Entering directory `/export/home/stskeeps/projects/unreal/extras/tre-0.7.2/lib'
/bin/sh ../libtool --tag=CC --mode=link gcc -g -O2 -Wall -o libtre.la -rpath /export/home/stskeeps/projects/unreal/extras/regexp/lib -version-info 6:2:2 tre-ast.lo tre-compile.lo tre-filter.lo tre-match-backtrack.lo tre-match-parallel.lo tre-mem.lo tre-parse.lo tre-stack.lo regcomp.lo regexec.lo regerror.lo tre-match-approx.lo -lintl
rm -fr .libs/libtre.a .libs/libtre.la .libs/libtre.lai
ar cru .libs/libtre.a tre-ast.o tre-compile.o tre-filter.o tre-match-backtrack.o tre-match-parallel.o tre-mem.o tre-parse.o tre-stack.o regcomp.o regexec.o regerror.o tre-match-approx.o
ranlib .libs/libtre.a
creating libtre.la
(cd .libs && rm -f libtre.la && ln -s ../libtre.la libtre.la)
make[1]: Leaving directory `/export/home/stskeeps/projects/unreal/extras/tre-0.7.2/lib'
Additional InformationFix: add -lintl to Makefile IRCDLIBS=
TagsNo tags attached.
3rd party modules

Activities

syzop

2007-04-26 06:22

administrator   ~0013729

we must upgrade TRE too (new one available IIRC)... perhaps this is more of a TRE bug? I don't know from top of my head but.. I presume we get the loader flags from a tre script (or where else does the -ltre come from? or is it hardcoded?)... in other words... shouldn't TRE provide -lintl automatically?
just my thoughts... (think: portability.. is -lintl always needed or even available?)

stskeeps

2007-06-14 11:56

reporter   ~0014363

Was fixed alongside TRE upgrade.

Issue History

Date Modified Username Field Change
2007-04-24 01:41 stskeeps New Issue
2007-04-24 01:41 stskeeps Status new => confirmed
2007-04-26 06:22 syzop Note Added: 0013729
2007-06-14 11:56 stskeeps Status confirmed => resolved
2007-06-14 11:56 stskeeps Fixed in Version => 3.3-alpha0
2007-06-14 11:56 stskeeps Resolution open => fixed
2007-06-14 11:56 stskeeps Assigned To => stskeeps
2007-06-14 11:56 stskeeps Note Added: 0014363